function A = MontaMatrizGlobal1D(x)
  n = length(x) - 1; %numero de elementos
  A = zeros(n+1,n+1); %aloca matriz de massa
  for i = 1:n
     h = x(i+1) - x(i);
     A(i,i) =  A(i,i) + 1.0/h;
     A(i,i+1) =  A(i,i+1) - 1.0/h;
     A(i+1,i) =  A(i+1,i) - 1.0/h;
     A(i+1,i+1) =  A(i+1,i+1) + 1.0/h;
  endfor
  A(1,1)=A(n+1,n+1) = 1.0;
  A(1,2)= A(2,1) = 0.0;
  A(n+1,n) = A(n,n+1) = 0.0;
end