function F = MontaVetorGlobal1D(x,u0,ul,f)
  n = length(x) - 1; %numero de elementos
  F = zeros(n+1,1); %aloca vetor forca
  for i = 1:n
     h = x(i+1) - x(i);
     F(i) =  F(i) + f(x(i))*(h/2.0);
     F(i+1) =  F(i+1) + f(x(i+1))*(h/2.0);
  endfor
  F(1) = u0;
  h = x(2) - x(1);
  F(2) = F(2) - (-1/h)*u0;
  F(n+1) = ul;
  h = x(n+1) - x(n);
  F(n) = F(n) - (-1/h)*ul; 
end